using System;
https://youtu.be/R6PMCdByf8w
namespace frilenseri_csharp
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a= new int [n];
            double[] p = new double[n];
            double max = 0;
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = int.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            for (int i = 0; i < n; i++)
            {
                double s = 0;
                for (int j = 0; j < n; j++)
                {
                    if (p[i] > p[j])
                    {
                        s += 0;
                    }
                    else
                    {
                        s += a[j];
                    }
                }
                double x = (s * p[i] / 100);
                if (x > max)
                    max = x;
            }
            Console.WriteLine(max);
        }
    }
}